Description

Hi there

I'm looking to conduct a longitudinal analysis using the youth data from waves 1-10 from Usoc. I'm looking to explore how social

media usage at age 13 relates to mental health outcomes at age 15.

Following your advice here https://iserredex.essex.ac.uk/support/issues/1472 I thought the best weight to use would be the

suboptimal weight - longitudinal enumeration weight from the last wave of the analysis(j_psnenus_lw). However, 5,855/13842 young

people are missing the weight. So I think should perhaps create my own weight to increase the sample size and I was a little unsure

how to do this and was wondering if you could help?

One approach I thought might work would be to include the psnenus_lw weight from the last wave each young person participated in

but I’m not sure this is ok to do?

Thanks in advance for your help.

Best wishes

Ruth

History

#1 - 09/20/2021 03:46 PM - Olena Kaminska

Ruth,

Yes, technically you will be pooling young people from different years. As a suboptimal weight try to use psnenus_lw weight or psnenub_lw weight

when they are 13 at wave 2 or later. Some of your 0s are because of the boost, but you can use boost only if you have enough years, so you can use

ui weight only for those who are 13 or older at wave 6.

You can improve your weight by additional modelling. Email us to request the training material.

Best,

Olena

#2 - 09/20/2021 03:55 PM - Understanding Society  User Support Team

- Status changed from New to Feedback

- % Done changed from 0 to 80

- Private changed from Yes to No

#3 - 09/21/2021 11:05 PM - Ruth Plackett

Hi Olena

Thanks for your reply it was really helpful. I've emailed user support to request the training material as you suggest. I had a further question related to

the previous query - can I use the cross-sectional weight psnenus_xw for those who 13 at wave 1?

Many thanks

Ruth

#4 - 09/22/2021 11:45 AM - Olena Kaminska

Ruth,

You can use xw weight only if your analysis uses 1 wave, and therefore does not use any information from other waves.

Best,

Olena
#5 - 09/22/2021 11:59 AM - Ruth Plackett

Thanks Olena. OK that makes sense and so xw weights aren't relevant for my case as I do want to use info form latter waves. Do you know what

weight I could use for young people who are 13 at wave 1?

Many thanks

Ruth

#6 - 09/22/2021 02:13 PM - Understanding Society  User Support Team

Ruth - I cannot see any email request from you. Please email usersupport@understandingsociety.ac.uk

#7 - 09/27/2021 10:38 AM - Ruth Plackett

Hi there

As you've suggested I have used psnenus_lw weight when they are 13 at wave 2 and so on and ui from wave 6 to include the boost. I was just

wondering what suboptimal weight could be used for those who were 13 in wave 1 and 15 in a following wave – would it be OK to use their

psnenus_lw weight from the wave when they were 15?

Thanks in advance.

Ruth

#8 - 09/27/2021 11:49 AM - Olena Kaminska

Ruth,

Yes, this would be the correct suboptimal weight.

Best,

Olena

#9 - 09/27/2021 11:52 AM - Ruth Plackett

Thank you!

#10 - 10/12/2021 02:36 PM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- Assignee deleted (Olena Kaminska)

- % Done changed from 80 to 100
